SDL_GetJoystickPath(3)

NAME
SDL_GetJoystickPath - Get the implementation dependent path of a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetJoystickPath(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    the SDL_Joystick
     obtained from SDL_OpenJoystick ()

RETURN VALUE
Returns the path of the selected joystick. If no path can be found, this function returns NULL; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickInstancePath(3)